         module parameters
         Integer :: 
     &    LACO3, LADDC, LADDT, LADDX, LALD , LAPI , LAPIP, LCH4,
     &    LCO  , LCO2 , LCSL , LCSLP, LDCB , LDIEN, LETE , LETEP,
     &    LETH , LETHP, LGLY , LH2  , LH2O , LH2O2, LHC3 , LHC3P,
     &    LHC5 , LHC5P, LHC8 , LHC8P, LHCHO, LHKET, LHNO3, LHNO4,
     &    LHO  , LHO2 , LHONO, LISO , LISOP, LKET , LKETP, LLIM,
     &    LLIMP, LMACR, LMGLY, LMO2 , LN2  , LN2O5, LNO  , LNO2,
     &    LNO3 , LO1D , LO2  , LO3  , LO3P , LOLI , LOLIP, LOLND,
     &    LOLNN, LOLT , LOLTP, LONIT, LOP1 , LOP2 , LORA1, LORA2,
     &    LPAA , LPAN , LPHO , LSO2 , LSULF, LTCO3, LTOL , LTOLP,
     &    LTPAN, LUDD , LXO2 , LXYL , LXYLP


      data 
     &    LACO3, LADDC, LADDT, LADDX, LALD , LAPI , LAPIP, LCH4,
     &    LCO  , LCO2 , LCSL , LCSLP, LDCB , LDIEN, LETE , LETEP,
     &    LETH , LETHP, LGLY , LH2  , LH2O , LH2O2, LHC3 , LHC3P,
     &    LHC5 , LHC5P, LHC8 , LHC8P, LHCHO, LHKET, LHNO3, LHNO4,
     &    LHO  , LHO2 , LHONO, LISO , LISOP, LKET , LKETP, LLIM,
     &    LLIMP, LMACR, LMGLY, LMO2 , LN2  , LN2O5, LNO  , LNO2,
     &    LNO3 , LO1D , LO2  , LO3  , LO3P , LOLI , LOLIP, LOLND,
     &    LOLNN, LOLT , LOLTP, LONIT, LOP1 , LOP2 , LORA1, LORA2,
     &    LPAA , LPAN , LPHO , LSO2 , LSULF, LTCO3, LTOL , LTOLP,
     &    LTPAN, LUDD , LXO2 , LXYL , LXYLP
     &  /   1  ,   2  ,   3  ,    4 ,   5  ,   6  ,   7  ,   8
     &    , 9  ,  10  ,  11  ,  12  ,  13  ,  14  ,  15  ,  16
     &    ,17  ,  18  ,  19  ,  20  ,  21  ,  22  ,  23  ,  24
     &    ,25  ,  26  ,  27  ,  28  ,  29  ,  30  ,  31  ,  32
     &    ,33  ,  34  ,  35  ,  36  ,  37  ,  38  ,  39  ,  40
     &    ,41  ,  42  ,  43  ,  44  ,  45  ,  46  ,  47  ,  48
     &    ,49  ,  50  ,  51  ,  52  ,  53  ,  54  ,  55  ,  56
     &    ,57  ,  58  ,  59  ,  60  ,  61  ,  62  ,  63  ,  64
     &    ,65  ,  66  ,  67  ,  68  ,  69  ,  70  ,  71  ,  72
     &    ,73  ,  74  ,  75  ,  76  ,  77/
!...Current and previous month leaf area index
      REAL :: averad
      REAL :: LAIc, LAIp
      REAL :: timloc,deltim
      INTEGER :: month,jday,iyear,icumdy
!...number of days in each month
      INTEGER, PARAMETER :: DaysInMonth(12) = (/   
     &   31,28,31,30,31,30,31,31,30,31,30,31 /)
      REAL, PARAMETER :: D2RAD = 3.1415926535/180.0
      INTEGER, PARAMETER :: n_mgn_spc  = 20
      INTEGER, PARAMETER ::     
     &  imgn_isop  =  1    ! isoprene
     & ,imgn_mbo   =  2    ! MBO (only (2-methyl-3-ene-2-ol)-methylbutenol) 
     & ,imgn_myrc  =  3    ! myrcene
     & ,imgn_sabi  =  4    ! sabinene
     & ,imgn_limo  =  5    ! limonene
     & ,imgn_3car  =  6    ! 3 carene
     & ,imgn_ocim  =  7    ! trans-beta-ocimene
     & ,imgn_bpin  =  8    ! beta-pinene
     & ,imgn_apin  =  9    ! alpha-pinene
     & ,imgn_afarn = 10    ! alpha-farnescene
     & ,imgn_bcar  = 11    ! beta-caryophyllene
     & ,imgn_meoh  = 12    ! methanol
     & ,imgn_acto  = 13    ! acetone
     & ,imgn_acta  = 14    ! acetaldehyde and ethanol
     & ,imgn_form  = 15    ! formic acid, formaldehyde, acetic acid
     & ,imgn_ch4   = 16    ! methane
     & ,imgn_no    = 17    ! nitric oxide (and NO2 and NH3 )
     & ,imgn_omtp  = 18    ! other monoterpenes
     & ,imgn_osqt  = 19    ! other sesquiterpenes
     & ,imgn_co    = 20     ! CO and other VOC                          
       REAL , DIMENSION(n_mgn_spc) :: tdf_prm

      DATA  tdf_prm ( imgn_isop  )  / 0.09  / ! isoprene  (but not used for isoprene)
      DATA  tdf_prm ( imgn_mbo   )  / 0.09  / ! MBO (only (2-methyl-3-ene-2-ol)-methylbutenol)
      DATA  tdf_prm ( imgn_myrc  )  / 0.10  / ! myrcene                                
      DATA  tdf_prm ( imgn_sabi  )  / 0.10  / ! sabinene                               
      DATA  tdf_prm ( imgn_limo  )  / 0.10  / ! limonene                               
      DATA  tdf_prm ( imgn_3car  )  / 0.10  / ! 3 carene                               
      DATA  tdf_prm ( imgn_ocim  )  / 0.10  / ! trans-beta-ocimene                     
      DATA  tdf_prm ( imgn_bpin  )  / 0.10  / ! beta-pinene                            
      DATA  tdf_prm ( imgn_apin  )  / 0.10  / ! alpha-pinene                           
      DATA  tdf_prm ( imgn_afarn )  / 0.17  / ! alpha-farnescene                       
      DATA  tdf_prm ( imgn_bcar  )  / 0.17  / ! beta-caryophyllene                     
      DATA  tdf_prm ( imgn_meoh  )  / 0.08  / ! methanol                               
      DATA  tdf_prm ( imgn_acto  )  / 0.11  / ! acetone                                
      DATA  tdf_prm ( imgn_acta  )  / 0.13  / ! acetaldehyde and ethanol               
      DATA  tdf_prm ( imgn_form  )  / 0.09  / ! formic acid, formaldehyde, acetic acid
      DATA  tdf_prm ( imgn_ch4   )  / 0.05  / ! methane                                
      DATA  tdf_prm ( imgn_no    )  / 0.11  / ! nitric oxide (and NO2 and NH3)                          
      DATA  tdf_prm ( imgn_omtp  )  / 0.10  / ! other monoterpenes                     
      DATA  tdf_prm ( imgn_osqt  )  / 0.17  / ! other sesquiterpenes                   
      DATA  tdf_prm ( imgn_co    )  / 0.09  / ! co and other voc                     
      INTEGER, PARAMETER ::        n_cat=5
      REAL, DIMENSION(n_cat) ::    anew, agro, amat, aold
  
      DATA  anew(1),agro(1),amat(1),aold(1) /1.0  , 1.0 , 1.0   , 1.0 /
      DATA  anew(2),agro(2),amat(2),aold(2) /2.0  , 1.8 , 0.95  , 1.0 /
      DATA  anew(3),agro(3),amat(3),aold(3) /0.4  , 0.6 , 1.075 , 1.0 /
      DATA  anew(4),agro(4),amat(4),aold(4) /3.0  , 2.6 , 0.85  , 1.0 /
      DATA  anew(5),agro(5),amat(5),aold(5) /0.05 , 0.6 , 1.125 , 1.0 /
      REAL  :: ldf
      REAL , DIMENSION(n_mgn_spc) :: ldf_fct

      DATA  ldf_fct ( imgn_isop  )  / 0.9999 /  ! isoprene                               
      DATA  ldf_fct ( imgn_mbo   )  / 0.9999 /  ! MBO (only (2-methyl-3-ene-2-ol)-methylbutenol)
      DATA  ldf_fct ( imgn_myrc  )  / 0.05   /  ! myrcene                                
      DATA  ldf_fct ( imgn_sabi  )  / 0.10   /  ! sabinene                               
      DATA  ldf_fct ( imgn_limo  )  / 0.05   /  ! limonene                               
      DATA  ldf_fct ( imgn_3car  )  / 0.05   /  ! 3 carene                               
      DATA  ldf_fct ( imgn_ocim  )  / 0.80   /  ! trans-beta-ocimene                     
      DATA  ldf_fct ( imgn_bpin  )  / 0.10   /  ! beta-pinene                            
      DATA  ldf_fct ( imgn_apin  )  / 0.10   /  ! alpha-pinene                           
      DATA  ldf_fct ( imgn_afarn )  / 0.50   /  ! alpha-farnescene                       
      DATA  ldf_fct ( imgn_bcar  )  / 0.50   /  ! beta-caryophyllene                     
      DATA  ldf_fct ( imgn_meoh  )  / 0.75   /  ! methanol                         
      DATA  ldf_fct ( imgn_acto  )  / 0.25   /  ! acetone                                
      DATA  ldf_fct ( imgn_acta  )  / 0.50   /  ! acetaldehyde and ethanol ??          
      DATA  ldf_fct ( imgn_form  )  / 0.50   /  ! formic acid, formaldehyde, acetic acid ??
      DATA  ldf_fct ( imgn_ch4   )  / 0.75   /  ! methane                                
      DATA  ldf_fct ( imgn_no    )  / 0.00   /  ! nitric oxide (and NO2 and NH3 )                          
      DATA  ldf_fct ( imgn_omtp  )  / 0.10   /  ! other monoterpenes                     
      DATA  ldf_fct ( imgn_osqt  )  / 0.50   /  ! other sesquiterpenes                   
      DATA  ldf_fct ( imgn_co    )  / 0.50   /  ! CO and other VOC                    
      INTEGER :: previous_month
      REAL :: Tsa, tsa24 
      REAL :: par, par24 
      REAL :: xlat, xlong 
      REAL :: gam_TMP, gam_AGE, gam_LHT, gam_PHO 
      end 
